<div class="row clearfix" [@routerTransition]>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card main-content">
            <div class="header">
                <h2>{{ "Instructors" | localize }}</h2>
                <ul class="header-dropdown m-r--5">
                    <li>
                        <button mat-icon-button [matMenuTriggerFor]="headerMenu" class="header-dropdown-mat-icon-button">
                            <mat-icon>more_vert</mat-icon>
                        </button>
                        <mat-menu #headerMenu="matMenu">
                            <button mat-menu-item (click)="refresh()">
                                <mat-icon>refresh</mat-icon>
                                <span>{{ "Refresh" | localize }}</span>
                            </button>
                        </mat-menu>
                    </li>
                </ul>
            </div>
            <div class="body table-responsive">
                <table class="table table-hover table-striped" [busy]="isLoading">
                    <thead>
                        <tr>
                            <th>{{ "FirstName" | localize }}</th>
                            <th>{{ "LastName" | localize }}</th>
                            <th>{{ "HireDate" | localize }}</th>
                            <th>{{ "OfficeLocation" | localize }}</th> 
                            <th>{{ "Actions" | localize }}</th>
                            <th> {{ "Detailed" | localize }} </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let instructor of (instructors)">
                            <td>{{ instructor.firstName }}</td>
                            <td>{{ instructor.lastName }}</td>
                            <td>{{ instructor.hireDate | date : 'mediumDate'}}</td>
                            <td>{{ instructor.officeAssignment?.location }}</td>
                            <td>
                                <button class="action-button" mat-icon-button [matMenuTriggerFor]="actionsMenu">
                                    <mat-icon>menu</mat-icon>
                                </button>
                                <mat-menu #actionsMenu="matMenu">
                                    <button mat-menu-item (click)="editInstructor(instructor)">
                                        <mat-icon>edit</mat-icon>
                                        <span>{{ "Edit" | localize }}</span>
                                    </button>
                                    <button mat-menu-item (click)="delete(instructor)">
                                        <mat-icon>delete</mat-icon>
                                        <span>{{ "Delete" | localize }}</span>
                                    </button>
                                    <button mat-menu-item (click)="setOffice(instructor)">
                                        <mat-icon>edit</mat-icon>
                                        <span>{{ "SetOffice" | localize }}</span>
                                    </button>
                                    <button mat-menu-item (click)="addCourse(instructor)">
                                        <mat-icon>edit</mat-icon>
                                        <span>{{ "AddCourse" | localize }}</span>
                                    </button>
                                    <button mat-menu-item (click)="setUser(instructor)">
                                        <mat-icon>edit</mat-icon>
                                        <span>{{ "SetUser" | localize }}</span>
                                    </button>
                                </mat-menu>
                            </td>
                            <td>
                               <button mat-button (click)="showDetailed(instructor)">
                                   {{ "Details" | localize }}
                               </button> 
                            </td>
                        </tr>
                    </tbody>
                </table>
                <button mat-mini-fab color="primary" class="pull-right" (click)="createInstructor()">
                    <mat-icon>add</mat-icon>
                </button>
            </div>
        </div>
    </div>
</div>
